Skip to main content
`Ctrl`+`K`

# PetscPartitionerDestroy

Destroys a `PetscPartitioner` object

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerDestroy(PetscPartitioner *part)

Collective

## Input Parameter

- part - the `PetscPartitioner` object to destroy

## See Also

`PetscPartitionerView()`

## Level

developer

## Location

src/dm/partitioner/interface/partitioner.c

## Implementations

PetscPartitionerDestroy_Chaco() in src/dm/partitioner/impls/chaco/partchaco.c
PetscPartitionerDestroy_Gather() in src/dm/partitioner/impls/gather/partgather.c
PetscPartitionerDestroy_MatPartitioning() in src/dm/partitioner/impls/matpart/partmatpart.c
PetscPartitionerDestroy_Multistage() in src/dm/partitioner/impls/multistage/mspart.c
PetscPartitionerDestroy_ParMetis() in src/dm/partitioner/impls/parmetis/partparmetis.c
PetscPartitionerDestroy_PTScotch() in src/dm/partitioner/impls/ptscotch/partptscotch.c
PetscPartitionerDestroy_Shell() in src/dm/partitioner/impls/shell/partshell.c
PetscPartitionerDestroy_Simple() in src/dm/partitioner/impls/simple/partsimple.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages